Subject: Re: Proposed resolution: PTR queries for 254.169.in-addr.arpa

From: Bernard Aboba <[email-masked]>
Date: Tue, 10 May 2005 01:46:47 -0700 (PDT)

I agree with Rob's proposed changes.  Here is the modified text:

"Mapping from IPv4 addresses to host names is conventionally done
by issuing DNS queries for names of the form,
"x.x.x.x.in-addr.arpa." When used for link-local addresses, which
have significance only on the local link, it is inappropriate to
send such DNS queries beyond the local link.
DNS clients MUST NOT send DNS queries for any name that
falls within the "254.169.in-addr.arpa." domain.

DNS recursive name servers receiving queries from non-compliant clients
for names within the "254.169.in-addr.arpa." domain MUST by default return
RCODE 3, authoritatively asserting that no such name exists in
the Domain Name System."